#ifndef _ARRAYINPUT2_H_
#define _ARRAYINPUT2_H_

/*Headers:*/
#include "./Input2.h"

class ArrayInput2: public Input2{

	private:
		int         numberofelements_local;
		int*        N;
		IssmDouble** values;

	public:
		/*ArrayInput2 constructors, destructors: {{{*/
		ArrayInput2();
		ArrayInput2(int nbe_in);
		~ArrayInput2();
		/*}}}*/
		/*Object virtual functions definitions:{{{ */
		Input2 *copy();
		void    DeepEcho();
		void    Echo();
		int     Id();
		void    Marshall(char** pmarshalled_data,int* pmarshalled_data_size, int marshall_direction);
		int     ObjectEnum();
		/*}}}*/
		/*ArrayInput2 management:*/
		void SetInput(int row,int numinds,IssmDouble* values_in);
		void GetArray(int row,IssmDouble** pvalues,int* pN);

};
#endif  /* _ARRAYINPUT_H */
